<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_feed_forward_net.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">melon::FeedForwardNet&lt; T &gt; Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a3b6e46ca8afad6af62b3f15e2b6b5ec6">_annData</a></td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a52bc8b4239937c6290e3a2b59dad9f24">_calculate_layer_activation</a>(const std::vector&lt; T &gt; &amp;v, const ACTIVATION_FUNCTION activationFunction)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a863db6c1f3e0937db86ecbb59cacf635">_calculate_prediction</a>(const std::vector&lt; T &gt; input, const std::vector&lt; T &gt; internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a8d22eb1e65b7f74b4e84c3c8ea78df51">_inputScaler</a></td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">_modelLoaded</a></td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a25f7c656e140792b73fccc7058249256">_outputScaler</a></td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">_parserFactory</a></td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a81e55a0f8f437563f86d3e896c1db9c0">_relu</a>(T x)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#ab7ba2a702f03f392778f7d05a43ce356">_relu6</a>(T x)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">_set_constraints</a>(std::vector&lt; T &gt; &amp;constraints, std::vector&lt; T &gt; &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a7b1045b2b3c48d7e89042abbf042184e">_set_constraints</a>(std::vector&lt; T &gt; &amp;constraints, T &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#ae98f7e952148f9d8aa22d2450f50f9db">_set_data_object</a>(std::shared_ptr&lt; const ModelData &gt; modelData) override</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#acc52bba26e3affaf5bd8bdd97367130f">_tanh</a>(T x)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#aa29c58f20ab3b344243565940fc0e243">_tanh_formulation</a></td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#aa827bc95b61702119170c403edb86f9c">_tanh_reformulation_1</a>(T x)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#af2ce30b35e0450243cdcc4f77649b9a7">_tanh_reformulation_2</a>(T x)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#aa135bf5d528c1b99a63f0cf3ddceb7ac">_tanh_reformulation_3</a>(T x)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#ac33420287de3773a2ab4dfab022287cf">_tanh_reformulation_4</a>(T x)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a1bbcf42c9cb486f063d8a47722c7a209">calculate_prediction_full_space</a>(const std::vector&lt; T &gt; input, const std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#aee07aaae68255e370ba1e82c01229cdd">calculate_prediction_reduced_space</a>(const std::vector&lt; T &gt; input)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a40d5999e0803420f02e2285aee4d7f19">FeedForwardNet</a>()</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#ac1ac26b7d389470fc0a13463cddd9a3f">FeedForwardNet</a>(std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#aa5bfb8592ff40db349c0699f22dcaf6e">FeedForwardNet</a>(std::string modelPath, std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a5aa1638cb722f3139dd95f229d0ba0a2">FeedForwardNet</a>(std::shared_ptr&lt; AnnData &gt; modelData)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a9a6336300c3e798cb58832019e701bc4">get_full_space_variables</a>(unsigned int &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a47ce1749d5969289495ad8a84e438c70">get_number_of_full_space_variables</a>()</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a9acb78ea183bc6bf583540efcef58a0b">load_model</a>(std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#ae002de8e7c020adfcad49ce7e050066e">load_model</a>(std::string modelPath, std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a37fb378f8eabbcfdb7db707dbfa04a26">load_model</a>(std::shared_ptr&lt; const ModelData &gt; modelData)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a0877da878cabba96d129b5e2540b9eca">MelonModel</a>(std::shared_ptr&lt; ModelParserFactory &gt; parserFactory)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a577ee52dca91fe4d987484afa8bf33a8">set_tanh_formulation</a>(const TANH_REFORMULATION &amp;reformulation)</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html#a30df96721f1c57e57ed668676f18d9dc">~FeedForwardNet</a>()=default</td><td class="entry"><a class="el" href="classmelon_1_1_feed_forward_net.html">melon::FeedForwardNet&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a1c7f4a28d7a34e48a93b9899a66204b0">~MelonModel</a>()=default</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
